quassel (0.12.1-0ubuntu0.1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Apr 2015 15:34:09 +0200

quassel (0.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 23:21:46 +0200

quassel (0.12~rc1-0ubuntu2) vivid; urgency=medium

  * Install /usr/share/knotifications5/quassel.notifyrc to quassel-data.
  * Pass --fail-missing to dh_install.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 30 Mar 2015 23:03:03 +0200

quassel (0.12~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1431008)

  [ Michael Marley ]
  * Add Wants and After on postgresql for systemd (LP: #1432161)
  * Add Restart=on-failure for systemd

  [ Felix Geyer ]
  * Drop kubuntu_02_enable_message_indicator.diff as there is no
    message indicator widget in Kubuntu anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 18 Mar 2015 17:21:10 +0100

quassel (0.12~beta1-0ubuntu1) vivid; urgency=medium

  [ Michael Marley ]
  * New upstream kf5 based beta release
    - Drop patches debian/patches/CVE-2014-8483.patch,
      upstream_qca-qt5-cmake.patch and upstream_qca-qt5-code.patch
    - Add kf5 build-deps
    - Adjust install paths
  * Fix upstart job to avoid race conditions on restart

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Feb 2015 07:42:04 -0500

quassel (0.11.0-0ubuntu2) vivid; urgency=medium

  * Build against Qt 5
  * Remove individual Qt packages, no separate KDE build with Qt 5 (yet)
  * Add upstream_qca-qt5-cmake.patch  upstream_qca-qt5-code.patch to
    fix build with qca

 -- Michael Marley <michael@michaelmarley.com>  Fri, 28 Nov 2014 15:31:11 +0000

quassel (0.11.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Fix CVE-2014-8483: out-of-bounds read in ECB Blowfish decryption.
    - Add debian/patches/CVE-2014-8483.patch
    - LP: #1388333
  * Simplify debian/rules a bit by using debhelper compal level 9.
  * Add a systemd service file.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 01 Nov 2014 11:52:52 +0100

quassel (0.10.1-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Sep 2014 00:19:27 -0400

quassel (0.10.0-0ubuntu2) trusty; urgency=medium

  * Update quasselcore man page to cover all usage options

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Apr 2014 16:10:10 -0400

quassel (0.10.0-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Mar 2014 23:53:39 +0000

quassel (0.10~rc1-0ubuntu1) trusty; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 16 Mar 2014 17:49:07 +0000

quassel (0.10~beta1-0ubuntu1) trusty; urgency=low

  * New upstream beta relase
    - Drop debian/patches/upstream_fix_fullscreen_mode.diff which had been
      cherrypicked from upstream

 -- Scott Kitterman <scott@kitterman.com>  Tue, 18 Feb 2014 23:18:25 -0500

quassel (0.9.2-0ubuntu4) trusty; urgency=medium

  * Cherry pick upstream commit 47a6910aed00018c7230cc2cc90ae8e80fa77dda
    as upstream_fix_fullscreen_mode.diff to fix UI breakage when toggling
    fullscreen mode

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Dec 2013 01:03:22 +0100

quassel (0.9.2-0ubuntu3) trusty; urgency=low

  * Revert addition of conflict relations between quassel-data and
    quassel-qt4-data, as the packages are usually installed at the same time
    and do not ship common files. (LP: #1257592)

 -- Luke Faraone <lfaraone@ubuntu.com>  Wed, 04 Dec 2013 00:34:49 -0500

quassel (0.9.2-0ubuntu2) trusty; urgency=low

  * Add quasselcore upstart job. Thanks to Michael Marley. (LP: #1244036)
  * Restart quasselcore after upgrades.
  * Make quassel-data and quassel-qt4-data conflict as they ship common files.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 02 Dec 2013 16:50:58 +0100

quassel (0.9.2-0ubuntu1) trusty; urgency=low

  * New upstream release
    - Includes fix for cross-user data exposure in the core (LP: #1255362)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Nov 2013 19:56:06 -0500

quassel (0.9.1-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Oct 2013 00:06:18 -0400

quassel (0.9.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 16 Apr 2013 21:28:37 -0400

quassel (0.9~rc1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Apr 2013 19:34:42 -0400

quassel (0.9~beta1-0ubuntu2) raring; urgency=low

  * Fix mess with icons due to obsolete package naming and lack of sufficient
    hicolor icons:
    - Drop quassel-data depends on no longer existing kde-icons-oxygen |
      hicolor-icon-theme
    - Add Recommends: oxygen-icon-theme for quassel/quassel-core
    - Change build flag for Qt only build to include subset of oxygen icons
      shipped with quassel
    - Add new binary, quassel-qt4-data, to hold Qt unique icons and have the
      Qt only packages Recommend it

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Mar 2013 15:32:25 -0400

quassel (0.9~beta1-0ubuntu1) raring; urgency=low

  * New upstream beta release
    - Remove debian/patches/0001-Support-intermediate-CA-certificates.patch,
      incorporated upstream
    - Remove 0002-Allow-the-core-to-use-expired-certificates.patch,
      incorporated upstream
    - Update kubuntu_02_enable_message_indicator.diff for 0.9

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Mar 2013 15:07:41 -0500

quassel (0.8.0-0ubuntu2) quantal; urgency=low

  * Add libqtwebkit-dev to build deps to enable link previews 

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 13:21:16 +0530

quassel (0.8.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Add debian/patches/0001-Support-intermediate-CA-certificates.patch and
    0002-Allow-the-core-to-use-expired-certificates.patch from Felix Geyer to
    correct issues with SSL integration

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Mar 2012 18:21:56 -0400

quassel (0.8~rc1-0ubuntu2) precise; urgency=low

  * Build-depend on dh-apparmor. (LP: #948481)
  * Append $CPPFLAGS to $CXXFLAGS.
  * Use pkg-info.mk instead of parsing the upstream version manually.
  * Drop ancient Conflicts and Replaces.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Switch AppArmor profile to enforce mode.
  * Don't pass -DCMAKE_BUILD_TYPE=Debugfull to cmake anymore. We want the
    default build type RelWithDebugInfo.
  * Add an ufw application profile.
  * Use dh_install --sourcedir instead of specifying absolute paths in the
    install files.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 11 Mar 2012 23:00:26 +0100

quassel (0.8~rc1-0ubuntu1) precise; urgency=low

  * New update release candidate

 -- Scott Kitterman <scott@kitterman.com>  Tue, 21 Feb 2012 17:27:22 -0500

quassel (0.8~beta1-0ubuntu1) precise; urgency=low

  * New upstream beta release
    - Update quasselcore man page for new oidentd option 

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Feb 2012 18:38:55 -0500

quassel (0.7.3-0ubuntu4) precise; urgency=low

  * Enable hardening options pie and bindnow.
  * Drop the quasselcore-makecert manpage since we no longer provide
    that script.
  * Add an AppArmor profile for quasselcore in complain mode.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 16 Dec 2011 11:35:10 +0100

quassel (0.7.3-0ubuntu3) oneiric; urgency=low

  * Fix bug in quassel-core preinst script that caused upgrade commands to
    be run on new installations. (LP: #853841)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 19 Sep 2011 19:18:08 +0200

quassel (0.7.3-0ubuntu2) oneiric; urgency=low

  * Set permissions of /var/lib/quassel and /var/log/quassel to 750.
    (LP: #846922)
  * Set permissions of /var/lib/quassel/quasselCert.pem to 640.
  * Update home dir of quasselcore user and stop the daemon before doing so.
  * Drop quasselcore-makecert script since it's completely broken since at
    least lucid and there is no need to update the self-signed certificate.
  * Drop README.source since the package has been converted to the 3.0 (quilt)
    format.
  * Update watch file so it only matches real version numbers.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Use kde debhelper buildsystem instead of calling the kubuntu l10n scripts
    manually.
  * Fix typo in quasselcore init script so it waits 5 seconds before checking
    if quasselcore started successfully. (LP: #777191)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 12 Sep 2011 00:06:01 +0200

quassel (0.7.3-0ubuntu1) oneiric; urgency=medium

  * New upstream bufix release
    - Fix for quasselcore DoS from specially crafted CTCP requests
    - Translation updates

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Sep 2011 15:19:49 -0400

quassel (0.7.2-0ubuntu4) oneiric; urgency=low

  * quassel and quassel-qt4 don't conflict with quassel-sever anymore.
  * Enable parallel building.
  * quassel-core.quasselcore.init: Add "$network $local_fs $remote_fs"
    to Required-Stop.
  * Strip binaries in *-qt4 packages.
  * quassel-core: Fix lintian warning maintainer-script-ignores-errors.
  * Drop dh_builddeb override to use lzma compression as the kde dh sequence
    already takes care of this.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 15 May 2011 23:14:23 +0200

quassel (0.7.2-0ubuntu3) oneiric; urgency=low

  * Correct /var/lib/quassel directory ownership for upgrades (LP: #777966)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 May 2011 12:43:51 -0400

quassel (0.7.2-0ubuntu2) natty; urgency=low

  * Fix up quassel-core.preinst to finish the /var/cache to /var/lib
    transition (LP: #753080)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Apr 2011 22:23:47 -0400

quassel (0.7.2-0ubuntu1) natty; urgency=low

  * New upstream bug fix release
  * Move quassel-core data dir from /var/cache to /var/lib (LP: #713462)
    - Add quassel-core.preinst to move existing data
    - Update debian/quasselcore-makecert, quassel-core.postinst,
      quassel-core.postrm, and quassel-core.quasselcore.init for the new data
      dir location
  * Increase startup time allowance in debian/quassel-core.quasselcore.init to
    reduce incidence of startup failures (LP: #480022)
    - Thanks to Ralph Janke for the patch
  * Update configdir description in debian/mans/quasselcore.pod to not
    specifically mention SQLite since other database types are also supported
  * Drop temporary versioning libindicate-qt-dev build-depend

 -- Scott Kitterman <scott@kitterman.com>  Thu, 24 Mar 2011 09:57:49 -0400

quassel (0.7.1-0ubuntu3) natty; urgency=low

  * Rebuild with libindicate-qt 0.2.5.91-0ubuntu2 to fix dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 13:38:14 +0000

quassel (0.7.1-0ubuntu2) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:27 +0000

quassel (0.7.1-0ubuntu1) maverick; urgency=high

  * SECURITY UPDATE:
  * References
  * Upstream Git 0f2c520a76a468d3778e031ebde2d304048e1663
    - If we receive multiple CTCP requests in one PRIVMSG we now answer with
      one packed NOTICE containing all CTCP replies. This fixes a possible
      DoS Attack rendering Quassels IRC connection useless. Upgrading is
      strongly recommended. Thanks to Jima for reporting and supporting

 -- Scott Kitterman <scott@kitterman.com>  Tue, 21 Sep 2010 08:55:19 -0400

quassel (0.7.0-0ubuntu1) maverick; urgency=low

  * Upstream bugfix update from 0.7.0 rc1 to 0.7.0 final

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Sep 2010 19:06:15 -0400

quassel (0.7~rc1-0ubuntu1) maverick; urgency=low

  * New upstream RC release
  * Add missing build-depends on libdbusmenu-qt-dev

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Aug 2010 09:10:56 -0400

quassel (0.7~beta1-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Add libqca2-dev to build-depends for blowfish support
  * Switch to source format v3 (Quilt) to use .bz2 tarball
    - Drop build-depends on quilt and update debian/rules
    - Add debian/source/format

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Aug 2010 12:48:08 -0400

quassel (0.6.1-0ubuntu4) maverick; urgency=low

  * Add kubuntu_02_enable_message_indicator.diff to enable message indicator by
    default

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Aug 2010 10:39:51 +0100

quassel (0.6.1-0ubuntu3) maverick; urgency=low

  * Run kubuntu-debhelper-langpack-generate.sh and kubuntu-debhelper-langpack-clean.sh
    in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 17:29:17 +0100

quassel (0.6.1-0ubuntu2) maverick; urgency=low

  * Rebuild for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Jul 2010 12:07:00 +0100

quassel (0.6.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Drop debian/patches/quassel_01_dont_crash_on_startup.patch and
      debian/patches/quassel_02_enforce_sqlite_in_mono_client.patch

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Apr 2010 08:40:10 -0400

quassel (0.6.0-0ubuntu2) lucid; urgency=low

  * Only strip KDE 4 packages to -dbg to make it work again, the dbg package
    should be dropped completely once kubuntu-debug-installer gains ddebs
    support.
  * Add quassel_01_dont_crash_on_startup.patch from upstream to fix a crash
    on startup.
  * Add quassel_02_enforce_sqlite_in_mono_client.patch to enforce usage of
    sqlite in the monolitic client (preventing it from whining about usage of
    PSQL).

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 15 Apr 2010 16:13:32 +0200

quassel (0.6.0-0ubuntu1) lucid; urgency=low

  [ Scott Kitterman ]
  * New upstream release
    - Additional bug fixes and updated translations from the last upload
  * Symlink between the the expected location for architecture independent data
    in the KDE and Qt4 packages in quassel-data (LP: #557464)

  [ Harald Sitter ]
  * Make the init script require $remote_fs to be started

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 14 Apr 2010 14:34:05 +0200

quassel (0.6~rc1+git100331-0ubuntu1) lucid; urgency=low

  * New upstream git snapshot
    - Bug fixes
    - Updated translations

 -- Scott Kitterman <scott@kitterman.com>  Wed, 31 Mar 2010 09:47:44 -0400

quassel (0.6~rc1+git100312-0ubuntu1) lucid; urgency=low

  * New git snapshot since the last upload was from git head and not the 0.6
    branch

 -- Scott Kitterman <scott@kitterman.com>  Fri, 12 Mar 2010 17:12:17 -0500

quassel (0.6~rc1+git100311-0ubuntu1) lucid; urgency=low

  * New bugfix snapshot
    - "Metric ton of bug fixes"

 -- Scott Kitterman <scott@kitterman.com>  Thu, 11 Mar 2010 13:44:02 -0500

quassel (0.6~rc1-0ubuntu1) lucid; urgency=low

  * New upstream RC
    - Including translation updates from Launchpad

 -- Scott Kitterman <scott@kitterman.com>  Wed, 03 Mar 2010 11:50:11 -0500

quassel (0.6~beta1-0ubuntu1) lucid; urgency=low

  * New upstream beta release
    - Update debian/quassel-data.install for hicolor icons moving to
      debian/tmp/usr/share/icons/hicolor
    - Update debian/quassel-data.install for Quassel Oxygen icons no longer
      being shipped
    - Add qt4-dev-tools to build-depends to provide lconvert for translations
  * Fix debian/copyright to use the correct © symbol and update for the new
    year

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Feb 2010 12:49:50 -0500

quassel (0.5.2-0ubuntu2) lucid; urgency=low

  * Do not remove quassel user or group when the core is purged (LP: #496015)
    - Has the potentil for leaving unowned files on the system and causes
      postrm failures

 -- Scott Kitterman <scott@kitterman.com>  Sat, 23 Jan 2010 12:49:33 -0500

quassel (0.5.2-0ubuntu1) lucid; urgency=low

  * New upstream bug fix release
    - Multiple bug fixes
    - CTCP ignore capability to combat Freenode spam attacks (LP: #509287)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 18 Jan 2010 19:23:19 -0500

quassel (0.5.1+git20100117-0ubuntu1) lucid; urgency=low

  * New git snapshot from the upstream 0.5 branch
    - Mulitple bug fixes
    - Build system changes to work with libqt4-dev packaging changes (fix SSL
      support (LP: #506805)
  * Fix obsolete-relation-form-in-source in quassel-data
  * Move quassel-dbg to section debug

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Jan 2010 18:20:48 -0500

quassel (0.5.1-0ubuntu5) lucid; urgency=low

  [ Maia Kozheva ]
  * The "double build" release. (LP: #374802)
  * debian/control:
    - Added quassel-qt4 and quassel-client-qt4 packages, not depending on KDE4.
  * debian/rules:
    - Added rules for the second KDE-less build, using debian/build-qt4.
  * Added *.install and *.manpages files for the two new packages.

  [ Jonathan Thomas ]
  * Minor gramatical fixes in package descriptions throughout
  * Correct all instances of "KDE4" in package descriptions to just be "KDE",
    as there is no longer a need to differentiate.

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 16 Dec 2009 11:24:57 +0600

quassel (0.5.1-0ubuntu4) lucid; urgency=low

  * Migrate from cdbs to debhelper 7 build (will enable a double build with and
    without kdelibs in the future):
    - Do not build-depend on cdbs.
    - Build-depend on recent enough pkg-kde-tools (for dh --with=kde).
    - Bumped debhelper version dependency and compat.
    - Rewrote debian/rules to use dh instead of cdbs.
    - Added debian/clean, moved manpages there from debian/rules.
    - Added debian/docs to install README. Previously, CDBS auto-installed
      README and AUTHORS. This version does not install AUTHORS, since it is
      redundant with debian/copyright.

 -- Maia Kozheva <sikon@ubuntu.com>  Mon, 30 Nov 2009 17:02:20 +0600

quassel (0.5.1-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:09 +0000

quassel (0.5.1-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 09:00:03 +0000

quassel (0.5.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
  * Add build dep on zlib1g-dev to work around Bug #487415

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Nov 2009 12:17:38 -0500

quassel (0.5.0-0ubuntu1) karmic; urgency=low

  * New uptream release
    - Fixes core high CPU use with multiple users
    - Fixes click to focus on last message and message indicator work with
      default Kubuntu focus stealing prevention (LP: #422062)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 14 Oct 2009 17:44:45 -0400

quassel (0.5.0~rc2+git091009-0ubuntu1) karmic; urgency=low

  [ Harald Sitter ]
  * Add README.source (LP: #440752)

  [ Scott Kitterman ]
  * New git snapshot
    - Use Dr. Konqi or Apport instead of internal crash handler that has never
      worked in Ubuntu
    - Fix for high CPU on resize (LP: #435107)
    - Drop debian/patches/kubuntu_02_message_indicator_optin.patch (fixed
      upstream)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Oct 2009 22:16:54 -0400

quassel (0.5.0~rc2-0ubuntu1) karmic; urgency=low

  [ Harald Sitter ]
  * quassel and quassel-client need to depend on the precise version of 
    quassel-data rather than >=. Rationale: quassel is installed, newer
    quassel source is available though, installing quassel-client will not
    enforce upgrade of quassel which could possibly cause problems
  * Bump standards version from 3.8.0 to 3.8.3

  [ Scott Kitterman ]
  * New upstream release candidate
  * Add libindicate-qt-dev to build-depends so message indicator is actually
    supported
    - Add debian/patches/kubuntu_02_message_indicator_optin.patch to default
      MI support off, consistent with the overall opt-in policy for Kubuntu

 -- Scott Kitterman <scott@kitterman.com>  Fri, 02 Oct 2009 09:32:41 -0400

quassel (0.5.0~rc1+vcshead090918-0ubuntu1) karmic; urgency=low

  * New git snapshot (from head since the libindicate branch was merged)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Sep 2009 10:10:58 -0400

quassel (0.5.0~rc1+libindicate+git090914-0ubuntu1) karmic; urgency=low

  * New git snapshot from the upstream libindicate branch
    - Drop and remove all patches from
      debian/patches/kubuntu-message-indicator (included in the upstream git
      branch)
    - Update debian/quassel-data.install for icons/oxygen/oxygen_kde split
  * Updated debian/copyright for new code in 0.5

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 Sep 2009 00:14:42 -0400

quassel (0.5.0~rc1-0ubuntu3) karmic; urgency=low

  * Add patches in kubuntu-message-indicator for message indicator support,
    LP: #424379

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 04 Sep 2009 16:02:59 +0100

quassel (0.5.0~rc1-0ubuntu2) karmic; urgency=low

  * Add usr/share/kde4/apps/quassel/icons/oxygen/*/status/irc*.png back to
    debian/quassel-data.install to fix missing icon problem

 -- Scott Kitterman <scott@kitterman.com>  Mon, 31 Aug 2009 09:17:16 -0400

quassel (0.5.0~rc1-0ubuntu1) karmic; urgency=low

  * First release candidate for 0.5
    - Reworked core start/shutdown makes it much faster (LP: #347087)
    - Core/client protocol bump, incompatible with previous client or core
      packages
    - Multiline input editing
    - Added ignore capability
    - Added netsplit detection and handling
    - Redesigned topic widget
  * Stop shipping Oxygen icons that aren't Quassel specific (all included in
    KDE 4.3)
  * Adjust debian/quassel-data.install for new stylesheets dir

 -- Scott Kitterman <scott@kitterman.com>  Wed, 26 Aug 2009 09:57:00 -0400

quassel (0.5.0~git090814-0ubuntu1) karmic; urgency=low

  * New git snapshot
    - Do not set a huge font in the default stylesheet
    - Do not confuse the users with the term buffer list
    - Additional user interface refinements
  * Add ${misc:Depends} for quassel-dbg

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Aug 2009 09:38:41 -0400

quassel (0.5.0~git090812-0ubuntu1) karmic; urgency=low

  * New upstream git snapshot
    - Add new U/I styling features
    - Add simplified settings pages
    - Fix crash when channel has user names than start with "__"
  * Add data/default.qss to quassel-data.install for default stylesheet

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Aug 2009 09:02:26 -0400

quassel (0.5.0~git090806-0ubuntu1) karmic; urgency=low

  * New upstream git snapshot (last commit before the styling branch landed)
  * Adjust paths (add debian/tmp/) in debian/*.install to work with kde.mk and
    fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Aug 2009 02:32:29 -0400

quassel (0.5.0~git090719-0ubuntu3) karmic; urgency=low

  * Add missing debhelper.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Jul 2009 22:03:42 +0100

quassel (0.5.0~git090719-0ubuntu2) karmic; urgency=low

  * change to using kde.mk from pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Jul 2009 18:01:43 +0100

quassel (0.5.0~git090719-0ubuntu1) karmic; urgency=low

  * New upstream git snapshot
    - Add usr/share/kde4/apps/quassel/scripts/ to debian/quassel-data.install
    - Add new icons to debian/quassel-data.install (ship them all for now)
  * Add kubuntu_01_default_network_channel.patch back

 -- Scott Kitterman <scott@kitterman.com>  Sun, 19 Jul 2009 23:40:27 -0400

quassel (0.4.2-0ubuntu2) karmic; urgency=low

  * Drop DEB_BUILD_OPTIONS=nostrip to debloat the package (LP: #370440)
  * Introduce quassel-dbg to be filled with debugging symbols
  * Compress packages using LZMA to decrease overall size (especially -dbg)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 12 Jun 2009 18:12:22 +0200

quassel (0.4.2-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Drop notification-fix.patch: Applied upstream

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 May 2009 13:08:09 -0400

quassel (0.4.1-0ubuntu3) jaunty; urgency=low

  * Update debian/patches/notification-fix.patch to fix multiple notification
    hang (Quassel #657)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Apr 2009 16:43:18 -0400

quassel (0.4.1-0ubuntu2) jaunty; urgency=low

  * Apply upstream patch to fix notifications action regression (LP: #353286)
    - debian/patches/notification-fix.patch cherry-picked from upstream git
      trunk (can be dropped with quassel 0.5)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 01 Apr 2009 13:21:19 -0400

quassel (0.4.1-0ubuntu1) jaunty; urgency=low

  * New upstream bug fix release
    - Numerous minor bug fixes
    - Updated translations

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Mar 2009 11:24:11 -0400

quassel (0.4.0-0ubuntu2) jaunty; urgency=low

  * Actually include the new watch file

 -- Scott Kitterman <scott@kitterman.com>  Tue, 17 Feb 2009 18:18:31 -0500

quassel (0.4.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
    - Colorized nicks
    - Additional bug fixes
  * Updated watch file for new download locations

 -- Scott Kitterman <scott@kitterman.com>  Tue, 17 Feb 2009 17:35:54 -0500

quassel (0.4.0~git090215-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Show identities and network settings on first start
    - Multi-line paste protection
    - Settings usability improvments
    - Continued bug fixing
  * Adjust quassel-data.install for new and removed icons

 -- Scott Kitterman <scott@kitterman.com>  Sun, 15 Feb 2009 19:46:44 -0500

quassel (0.4.0~git090213-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Continued bug fixing

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Feb 2009 10:36:45 -0500

quassel (0.4.0~git090211-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Hide chatmonitor by default
    - No notifications for own messages
    - Added/Updated translations
    - Use login name to construct default nick/real name
    - Continued bug fixing

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Feb 2009 22:05:55 -0500

quassel (0.4.0~git090206-0ubuntu2) jaunty; urgency=low

  * Add DEB_BUILD_OPTIONS=nostrip so the debug actually works

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Feb 2009 10:19:14 -0500

quassel (0.4.0~git090206-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Added toolbar to u/i (initial drop - still more work to do)
    - Add more post KDE 4.2 oxygen icons
    - Redesigned web preview to hog fewer resources
    - Continued bug fixing
  * Add new icons to debian/quassel-data.install
  * Remove scalable Oxygen icons from the binary (not used and saves space)
  * Build with full debugging enabled
  * Explicitly set -DEMBED_DATA=off instead of just unsetting it (clearer)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Feb 2009 08:15:36 -0500

quassel (0.4.0~git090202-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Shiny new user icons for query buffers
    - Bug fixing
  * Adjust quassel-data.install to install IM status icons not shipped in the
    KDE 4.2 Oxygen
  * Fix quassel-data to be arch all

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Feb 2009 19:45:22 -0500

quassel (0.4.0~git090201-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Core/client connection reliability improvements
    - Other bug fixing
  * Adjust quassel-data.install to include ../oxygen/*/apps/quassel.svgz and
    quassel.png

 -- Scott Kitterman <scott@kitterman.com>  Sun, 01 Feb 2009 16:13:05 -0500

quassel (0.4.0~git090130-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Improved SSL cert handling
    - Continued bug fixing
  * Replace deprecated --datadir with --configdir in quasselcore init
  * Add quasselcore usage to debian/mans/quasselcore.pod
  * Do not let the postinst overwrite existing certs (we ought to make this
    smarter at some point)
  * Update debian/copyright for the new year

 -- Scott Kitterman <scott@kitterman.com>  Sun, 01 Feb 2009 01:19:41 -0500

quassel (0.4.0~git090124-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Possible undocumented client/core protocol incompatibility that may
      require client and core to be updated together - see Quassel's bug
      tracker for details http://bugs.quassel-irc.org/issues/show/502
    - Fixes minimize to tray bug
    - Other bug fixes
    - XDG compliant data paths (with auto migration from old locations)
    - Adjust quassel.install, quassel-date, and quassel-client.install for new
      file locations
    - Replace -DQUASSEL_ICONS=External with -DEMBED_DATA=OFF to use external
      files where possible with the new build system
    - Don't ship oxygen or non-application specific hicolor icons, depend on
      kde-icons-oxygen | hicolor-icon-theme instead
    - Add translations files to quassel-data.install
  * Adjust kubuntu_01_default_network_channel.patch to use irc.ubuntu.com
    instead of the Freenode url for the default channel (irc.ubuntu.com points
    to Freenode)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Jan 2009 23:37:07 -0500

quassel (0.4.0~git090119-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Fixes KDE logout problem
    - Other bug fixes
    - SSL cert handling improvements

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Jan 2009 23:45:13 -0500

quassel (0.4.0~git090116-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Fixes right-click focus problems

 -- Scott Kitterman <scott@kitterman.com>  Fri, 16 Jan 2009 11:51:33 -0500

quassel (0.4.0~git090113-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot
    - Use networks.ini to provide default network/channel
    - Provide presets for common IRC networks
  * Add kubuntu_01_default_network_channel.patch to set Freenode, port
    8001, and #kubuntu as defaults
  * Add build-dep on quilt

 -- Scott Kitterman <scott@kitterman.com>  Wed, 14 Jan 2009 01:28:49 -0500

quassel (0.4.0~git090110-0ubuntu2) jaunty; urgency=low

  * Move quassel.notifyrc from quassel/quassel-client to quassel-data to the
    two packages can be coinstalled
    - Conflict with appropriate versions

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Jan 2009 13:33:11 -0500

quassel (0.4.0~git090110-0ubuntu1) jaunty; urgency=low

  [ Harald Sitter ]
  * debian/control:
    + Make quassel and quassel-core conflict. A lot of people installed all 3
      packages leading to the most weird issues. I hope conflicing those 2 is
      enough, since there are usecases where one might want to have -client and
      quassel installed at the same time.
    + quassel-core depends on openssl due to postinst changes
  * debian/quassel-core.postinst:
    + Generate a SSL certificate at every run (lasting 680 days ~ 24 months)
    + Ensure any updates from earlier than 0.2.0~rc1-0ubuntu1 gets equiped with
      user, group and log directory. There weren't any reports about this yet,
      but to be on the save side.
  * debian/quassel-core.quasselcore.init:
    + Set STARTIME to 3 seconds
  * debian/rules:
    + Make dh_installinit create code that still exits with errorcode 0 if
      quasselcore is unstartable (which would mostly be the case for upgrades).

  [ Scott Kitterman ]
  * New upstream git snapshot
  * Enable KDE integration
    - Build-dep on kdelibs5-dev
    - Add -DWITH_KDE=ON to DEB_CMAKE_EXTRA_FLAGS
  * Added ${misc:Depends} to all packages
  * Drop quassel_01_fix_iconloader.patch, incorporated upstream
  * Remove debian/patches due to current lack of patches
  * Update package descriptions to better distinguish the different
    packages
  * Add data/quassel.notifyrc to debian/quassel.install and
    debian/quassel-core.install to support notifications in KDE
    - Install in share/kde4/apps/quassel
  * Replace patchsys-quilt.mk, debhelper.mk, util.mk, and cmake.mk with
    kde4.mk in debian/rules now that we are building the kde4 package
  * Adjust path in quassel-client.install quassel-core.install quassel-
    data.install quassel.install files because apparently kde4.mk is
    special
  * Update debian/copyright for LGPL-3 oxygen icons
  * Drop build-dep on quilt since no patches are left

 -- Scott Kitterman <scott@kitterman.com>  Sat, 10 Jan 2009 20:53:11 -0500

quassel (0.3.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #271403)
  * Drop all patches originated from upstream (quassel_*)
  * Compile with non-builtin quassel icons
    + Introduce new quassel-data package
    + quassel and quassel-client depend on quassel-data
    + Don't manually enforce icon installation for desktop files in debian/rules
    + Add quassel_01_fix_iconloader.patch
  * Drop perl build dependency, I have no clue why it was added in the first
    place. Neither changelog nor Bazaar knows, and since quassel compiles just
    fine without it, removing it should be save.

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 17 Nov 2008 15:22:46 +0100

quassel (0.3.0-0ubuntu9) intrepid; urgency=low

  * Fix wrong QByteArray use in quassel_16_ctcp_level_and_low_level_quoting
    (LP: #289291)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 26 Oct 2008 00:39:18 +0200

quassel (0.3.0-0ubuntu8) intrepid; urgency=low

  * Added patch from upstream:
    + quassel_16_ctcp_level_and_low_level_quoting.patch
      Implementing ctcp level quoting and ctcp low level quoting.
      This fixes a crucial security issue. (LP: #289182)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 25 Oct 2008 18:30:49 +0200

quassel (0.3.0-0ubuntu7) intrepid; urgency=low

  * Added patches from upstream:
    + quassel_13_fix_wrong_class.patch
    + quassel_14_fix_topic_widget.patch
    + quassel_15_reintroduce_layout_margin_for_topic_line.patch
    (LP: #276543)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 13 Oct 2008 20:32:24 +0200

quassel (0.3.0-0ubuntu6) intrepid; urgency=low

  * debian/quassel-core.logrotate:
    - Added
    - Rotates weekly for 4 weeks (default log mode is Info, which doesn't
      produce a lot of output)
  * debian/quassel-core.posinst:
    - Exit with code 0 when argument is not "configure"
    - Only create directories, user and group at first installation
    - Be more verbose
    - Added /var/log/quassel as log directory
  * debian/quassel-core.postinst:
    - Be more verbose
    - Remove log directory
  * debian/quassel-core.quasselcore.default:
    - Added
    - Define loglevel and port
    - Sourced in the init script
  * debian/quassel-core.quasselcore.init:
    - Renamed from quassel-core.init.d
    - Formatting changes
    - Set and use logdir and datadir as start arguments
    - Cleanup
  * debian/quasselcore-makecert:
    - Typo fix
  * debian/rules:
    - Added DEB_DH_INSTALLINIT_ARGS to not stop the daemon at upgrades

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 19 Sep 2008 17:18:38 +0200

quassel (0.3.0-0ubuntu5) intrepid; urgency=low

  * debian/patches/quassel_10_fixing_memleak.patch:
    - Fixing memleak in chatlinemodelitem
  * debian/patches/quassel_11_Fix_MOC-defines-for-cmake-2.4.patch:
    - Fixes some defines for MOC in Cmakelist..now it works now with cmake-2.4
      and --without-ssl
  * debian/patches/quassel_12_int_to_qreal_subst.patch:
    - Substitute int with qreal in chatlinemodelitem
  (All Patches cherrypicked from upstream)

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 11 Sep 2008 08:40:22 +0200

quassel (0.3.0-0ubuntu4) intrepid; urgency=low

  * Fix quasselclient icon

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 07 Sep 2008 15:01:25 +0200

quassel (0.3.0-0ubuntu3) intrepid; urgency=low

  * debian/patches/quassel_01_chatscene.patch,
    debian/patches/quassel_02_chatview.patch: refreshed with a clean patch
    from upstrean
  * added:
    debian/patches/quassel_03_BR-295-Autobacktraces-are-limited-to-Linux.patch
    (Fixes Upstream: BR: #295)
    quassel_04_BR-302-client-crash-on-disconnect.patch
    (Fixes Upstream: BR: #302)
    quassel_05_faster-ChatLine-insertion-into-the-ChatScene.-And-so.patch
    quassel_06_removing-unneeded-semicolons-after-Qt-macros-makin.patch
    quassel_07_Bring-back-the-workaround-to-not-reserve-space-for-t.patch
    quassel_08_Bring-back-workaround-for-the-unwanted-scroll-on-buf.patch
    quassel_09_Various-buildsystem-improvements.patch
    (Cherrypicked Patches, which are fixing and makeing the app more mature
     for release, no new features are introduced)

 -- Stephan Hermann <sh@sourcecode.de>  Mon, 01 Sep 2008 15:02:44 +0200

quassel (0.3.0-0ubuntu2) intrepid; urgency=low

  * debian/patches/quassel_01_chatscene.patch
    + Fix resizing/scrolling bug
  * debian/patches/quassel_02_chatview.patch
    + fix the scrolling issues for now

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 28 Aug 2008 16:24:27 +0200

quassel (0.3.0-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * debian/control:
    - added libdbus-1-dev to build-dep because somewhere it's missing from
      libqt4

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 27 Aug 2008 16:13:38 +0200

quassel (0.2.0~rc1-0ubuntu1) intrepid; urgency=low

  * Switch buildsystem to CMake
  * Add postinst, postrm and init.d for quassel-core (LP: #243891)
    - add user quassecore and group quassel
    - create $HOME -> /var/cache/quassel
  * Add quasselcore-makecert
  * Updated kubuntu_01_fix_desktop_file.patch
  * Bump Standards-Version to 3.8.0

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 27 Jun 2008 19:21:30 +0200

quassel (0.2.0~beta1-0ubuntu2) intrepid; urgency=low

  * Fix quassel's Depends line

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 10 Jun 2008 20:11:14 +0200

quassel (0.2.0~beta1-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #195861)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 15 May 2008 18:17:16 +0200
